## kdenetwork 4.4.2

=== kget/CMakeLists.txt ===
project(kget)

set(kget_adaptor_SRCS
    dbus/dbuskgetwrapper.cpp
)
# set(kget_transfer_adaptor_SRCS
#     core/transferhandler.cpp
#     core/transfertreemodel.cpp
# )

add_definitions(-DKDE_DEFAULT_DEBUG_AREA=5001) 

if(CMAKE_BUILD_TYPE MATCHES debugfull)
     add_definitions(-DDEBUG)
endif(CMAKE_BUILD_TYPE MATCHES debugfull)

macro_bool_to_01(NEPOMUK_FOUND HAVE_NEPOMUK)
if(HAVE_NEPOMUK)
    include_directories(
        ${SOPRANO_INCLUDE_DIR}
        ${NEPOMUK_INCLUDE_DIR}
    )
    add_definitions(-DHAVE_NEPOMUK)
    include(NepomukAddOntologyClasses)
endif(HAVE_NEPOMUK)

if(QCA2_FOUND)
    add_definitions(-DHAVE_QCA2)
    include_directories(
        ${QCA2_INCLUDE_DIR}
    )
endif(QCA2_FOUND)

if(QGPGME_FOUND)
    find_package(Boost REQUIRED)
    add_definitions(-DHAVE_QGPGME)
    include_directories(
        ${Boost_INCLUDE_DIRS}
        ${QGPGME_INCLUDES}
    )
endif(QGPGME_FOUND)

add_subdirectory(conf)
add_subdirectory(core)
add_subdirectory(ui)
add_subdirectory(transfer-plugins)
add_subdirectory(extensions)
add_subdirectory(sounds)
add_subdirectory(desktop)
add_subdirectory(plasma)


# find kworkspace library to allow the shutdown after downloads completed option
find_library(KDE4_KWORKSPACE_LIBRARY NAMES kworkspace PATHS ${KDE4_LIB_INSTALL_DIR} NO_DEFAULT_PATH )
if(KDE4_KWORKSPACE_LIBRARY)
    set(KDE4_KWORKSPACE_LIBS ${kworkspace_LIB_DEPENDS} ${KDE4_KWORKSPACE_LIBRARY})
    add_definitions(-DHAVE_KWORKSPACE)
    set(KWORKSPACE_FOUND true)
endif(KDE4_KWORKSPACE_LIBRARY)

# find libkonq to allow actions and open with options in the context menu of a transfer
find_library(KDE4_KONQUEROR_LIBRARY NAMES konq PATHS ${KDE4_LIB_INSTALL_DIR} NO_DEFAULT_PATH )
if(KDE4_KONQUEROR_LIBRARY)
    set(KDE4_KONQUEROR_LIBS ${konq_LIB_DEPENDS} ${KDE4_KONQUEROR_LIBRARY})
    add_definitions(-DHAVE_KONQUEROR)
    set(KONQUEROR_FOUND true)
endif(KDE4_KONQUEROR_LIBRARY)


include_directories(
   ${CMAKE_SOURCE_DIR}/kget/core/
   ${CMAKE_CURRENT_BINARY_DIR}
)

if(SQLITE_FOUND)
    add_definitions(-DHAVE_SQLITE)
endif(SQLITE_FOUND)


remove_definitions(-DQT_NO_HTTP)

# kgetcore

set(kgetcore_SRCS
   core/job.cpp
   core/jobqueue.cpp
   core/kget.cpp
   core/scheduler.cpp
   core/transfertreemodel.cpp
   core/transfertreeselectionmodel.cpp
   core/transfer.cpp
   core/transfergroup.cpp
   core/transfergrouphandler.cpp
   core/transferhandler.cpp
   core/handler.cpp
   core/transfergroupscheduler.cpp
   core/plugin/plugin.cpp
   core/plugin/transferfactory.cpp
   core/transferdatasource.cpp
   core/datasourcefactory.cpp
   core/kgetkjobadapter.cpp
   core/kuiserverjobs.cpp
   core/kgetglobaljob.cpp
   core/bitset.cpp
   core/download.cpp
   core/transferhistorystore.cpp
   core/linkimporter.cpp
   dbus/dbustransferwrapper.cpp
   core/filemodel.cpp
   core/verifier.cpp
   core/kiodownload.cpp
)

if(HAVE_NEPOMUK)
    set(kgetcore_SRCS
       ${kgetcore_SRCS}
       core/nepomukhandler.cpp
    )
endif(HAVE_NEPOMUK)

kde4_add_kcfg_files(kgetcore_SRCS conf/settings.kcfgc)
 
if (HAVE_NEPOMUK)
    NEPOMUK_ADD_ONTOLOGY_CLASSES(
        kgetcore_SRCS
        ONTOLOGIES
        ${CMAKE_CURRENT_SOURCE_DIR}/kget_history.trig
    )
endif (HAVE_NEPOMUK)

qt4_add_dbus_adaptor(kgetcore_SRCS dbus/org.kde.kget.transfer.xml dbus/dbustransferwrapper.h DBusTransferWrapper)
qt4_add_dbus_interface(kget_test_transfers_SRCS dbus/org.kde.kget.transfer.xml transfer_interface)

kde4_add_library(kgetcore SHARED ${kgetcore_SRCS})

target_link_libraries(kgetcore ${KDE4_KIO_LIBS})

if (KWORKSPACE_FOUND)
    target_link_libraries(kgetcore ${KDE4_KWORKSPACE_LIBS})
endif (KWORKSPACE_FOUND)

if (HAVE_NEPOMUK)
  target_link_libraries(kgetcore ${SOPRANO_LIBRARIES} ${NEPOMUK_LIBRARIES})
endif (HAVE_NEPOMUK)

if (SQLITE_FOUND)
  target_link_libraries(kgetcore ${QT_QTSQL_LIBRARY})
endif (SQLITE_FOUND)

if (QCA2_FOUND)
    target_link_libraries(kgetcore ${QCA2_LIBRARIES})
endif (QCA2_FOUND)

if (QGPGME_FOUND)
    target_link_libraries(kgetcore ${QGPGME_LIBRARIES})
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
endif(QGPGME_FOUND)

set_target_properties(kgetcore PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kgetcore ${INSTALL_TARGETS_DEFAULT_ARGS})


# kget

set(kget_SRCS ${kget_adaptor_SRCS} ${kget_transfer_adaptor_SRCS}
   conf/dlgwebinterface.cpp
   conf/preferencesdialog.cpp
   conf/transfersgroupwidget.cpp
   conf/pluginselector.cpp
   conf/verificationpreferences.cpp
   ui/droptarget.cpp
   ui/transfersview.cpp
   ui/transfersviewdelegate.cpp
   ui/splash.cpp
   ui/transferdetails.cpp
   ui/viewscontainer.cpp
   ui/newtransferdialog.cpp
   ui/groupsettingsdialog.cpp
   ui/transfersettingsdialog.cpp
   ui/contextmenu.cpp
   ui/tray.cpp
   ui/history/rangetreewidget.cpp
   ui/history/transferhistory.cpp
   ui/history/transferhistoryitemdelegate.cpp
   ui/history/transferhistorycategorizeddelegate.cpp
   ui/history/transferhistorycategorizedview.cpp
   ui/linkview/kget_linkview.cpp
   ui/linkview/kget_sortfilterproxymodel.cpp
   ui/mirror/mirrorsettings.cpp
   ui/mirror/mirrormodel.cpp
   ui/renamefile.cpp
   ui/verificationdialog.cpp
   ui/metalinkcreator/metalinkcreator.cpp
   ui/metalinkcreator/generalwidget.cpp
   ui/metalinkcreator/metalinker.cpp
   ui/metalinkcreator/filedlg.cpp
   ui/metalinkcreator/localemodels.cpp
   ui/metalinkcreator/dragdlg.cpp
   ui/metalinkcreator/urlwidget.cpp
   ui/signaturedlg.cpp
   mainwindow.cpp
   main.cpp

   extensions/webinterface/httpserver.cpp
)

qt4_add_dbus_adaptor(kget_SRCS dbus/org.kde.kget.main.xml dbus/dbuskgetwrapper.h DBusKGetWrapper)
qt4_add_dbus_interface(kget_test_transfers_SRCS dbus/org.kde.kget.main.xml kget_interface)

if(CMAKE_BUILD_TYPE MATCHES debugfull)
    ENABLE_TESTING()

    set(kget_SRCS
        ${kget_SRCS}
        tests/testkget.cpp
    )

    set(kget_test_transfers_SRCS
        tests/testtransfers.cpp
    )

    qt4_add_dbus_interface(kget_test_transfers_SRCS dbus/org.kde.kget.main.xml kget_interface)
    qt4_add_dbus_interface(kget_test_transfers_SRCS dbus/org.kde.kget.transfer.xml transfer_interface)

    kde4_add_unit_test(kget_test_transfers
        ${kget_test_transfers_SRCS})

    target_link_libraries(kget_test_transfers ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_KUTILS_LIBRARY} kgetcore)
endif(CMAKE_BUILD_TYPE MATCHES debugfull)

if(HAVE_NEPOMUK)
   set(kget_SRCS
       ${kget_SRCS}
       ui/nepomukwidget.cpp
   )
endif(HAVE_NEPOMUK)

kde4_add_ui_files(kget_SRCS
   conf/dlgadvanced.ui
   conf/dlgappearance.ui
   conf/dlgwebinterface.ui
   conf/dlgnetwork.ui
   conf/verificationpreferences.ui
   ui/transferdetailsfrm.ui
   ui/newtransferwidget.ui
   ui/history/transferhistory.ui
   ui/groupsettingsdialog.ui
   ui/transfersettingsdialog.ui
   ui/linkview/importlinkdialog.ui
   ui/mirror/mirrorsettings.ui
   ui/mirror/mirroradddlg.ui
   ui/renamefile.ui
   ui/verificationdialog.ui
   ui/verificationadddlg.ui
   ui/metalinkcreator/introduction.ui
   ui/metalinkcreator/generalwidget.ui
   ui/metalinkcreator/files.ui
   ui/metalinkcreator/filedlg.ui
   ui/metalinkcreator/dragdlg.ui
   ui/metalinkcreator/urlwidget.ui
   ui/metalinkcreator/commondata.ui
   ui/signaturedlg.ui
)

if(HAVE_NEPOMUK)
    kde4_add_ui_files(kget_SRCS
       ui/grouptagssettingsdialog.ui
       ui/nepomukwidget.ui
   )
endif(HAVE_NEPOMUK)

kde4_add_app_icon(kget_SRCS "ui/icons/hi*-apps-kget.png")

kde4_add_executable(kget ${kget_SRCS})

target_link_libraries(kget ${QT_QTTEST_LIBRARY} ${KDE4_KDEUI_LIBRARY} ${KDE4_KIO_LIBRARY} ${KDE4_KUTILS_LIBRARY} kgetcore ${KDE4_KNOTIFYCONFIG_LIBS})
if(QCA2_FOUND)
target_link_libraries(kget ${QCA2_LIBRARIES})
endif(QCA2_FOUND)


if (HAVE_NEPOMUK)
  target_link_libraries(kget ${NEPOMUK_LIBRARIES})
endif (HAVE_NEPOMUK)

if (KONQUEROR_FOUND)
  target_link_libraries(kget ${KDE4_KONQUEROR_LIBS})
endif (KONQUEROR_FOUND)

if (QGPGME_FOUND)
  target_link_libraries(kget ${QGPGME_LIBRARIES})
endif(QGPGME_FOUND)

install(TARGETS kget ${INSTALL_TARGETS_DEFAULT_ARGS})

=== strigi-analyzer/torrent/CMakeLists.txt ===
set(torrent_analyzer_SRCS
   bytestream.cpp
   bint.cpp
   bstring.cpp
   blist.cpp
   bdict.cpp
   torrent_analyzer_factory.cpp
   torrent_analyzer.cpp)

set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS}")
add_library(torrent_analyzer MODULE ${torrent_analyzer_SRCS})
target_link_libraries(torrent_analyzer ${STRIGI_STREAMANALYZER_LIBRARY}
    ${STRIGI_STREAMS_LIBRARY} ${QT_QTCORE_LIBRARY} ${KDE4_KDECORE_LIBRARY})
set_target_properties(torrent_analyzer PROPERTIES PREFIX strigita_)

install(TARGETS torrent_analyzer LIBRARY DESTINATION ${LIB_INSTALL_DIR}/strigi)

=== kget/transfer-plugins/metalink/CMakeLists.txt ===
include_directories(
   ../../
)

set(kget_metalinkfactory_PART_SRCS
  metalinkfactory.cpp
  metalink.cpp
  ../../ui/metalinkcreator/metalinker.cpp
)

if(HAVE_NEPOMUK)
    set(kget_metalinkfactory_PART_SRCS
        ${kget_metalinkfactory_PART_SRCS}
        metanepomukhandler.cpp
    )
endif(HAVE_NEPOMUK)

kde4_add_ui_files(kget_metalinkfactory_PART_SRCS
    fileselection.ui
)

kde4_add_kcfg_files(kget_metalinkfactory_PART_SRCS metalinksettings.kcfgc)

kde4_add_plugin(kget_metalinkfactory ${kget_metalinkfactory_PART_SRCS})

target_link_libraries(kget_metalinkfactory ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS} kgetcore)
if (HAVE_NEPOMUK)
    target_link_libraries(kget_metalinkfactory ${SOPRANO_LIBRARIES} ${NEPOMUK_LIBRARIES})
endif (HAVE_NEPOMUK)

install(TARGETS kget_metalinkfactory DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kget_metalinkfactory.desktop DESTINATION ${SERVICES_INSTALL_DIR})


###Build KCM-Module
set(kcm_kget_metalinkfactory_PART_SRCS
dlgmetalink.cpp
)

kde4_add_ui_files(kcm_kget_metalinkfactory_PART_SRCS
dlgmetalink.ui
)

kde4_add_kcfg_files(kcm_kget_metalinkfactory_PART_SRCS metalinksettings.kcfgc)
kde4_add_plugin(kcm_kget_metalinkfactory ${kcm_kget_metalinkfactory_PART_SRCS})
target_link_libraries(kcm_kget_metalinkfactory ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBS})
install(TARGETS kcm_kget_metalinkfactory DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES kget_metalinkfactory_config.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kopete/kopete/addaccountwizard/CMakeLists.txt ===

include_directories( 
${KOPETE_INCLUDES} 
)


########### next target ###############

set( kopeteaddaccountwizard_SRCS 
addaccountwizard.cpp 
)

kde4_add_ui_files( kopeteaddaccountwizard_SRCS
    addaccountwizardpage1.ui 
    addaccountwizardpage2.ui 
)

kde4_add_library( kopeteaddaccountwizard SHARED ${kopeteaddaccountwizard_SRCS} )
target_link_libraries( kopeteaddaccountwizard kopete ${KDE4_KDEUI_LIBS} ${QT_QT3SUPPORT_LIBRARY} )
set_target_properties( kopeteaddaccountwizard PROPERTIES VERSION 1.0.0 SOVERSION 1 )
install(TARGETS kopeteaddaccountwizard ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

=== kopete/kopete/identity/CMakeLists.txt ===

include_directories( 
${KOPETE_INCLUDES}
${KOPETE_SOURCE_DIR}/kopete/statusmenu
${KOPETE_BINARY_DIR}/kopete/statusmenu
${KOPETE_SOURCE_DIR}/kopete/addaccountwizard
${KOPETE_BINARY_DIR}/kopete/addaccountwizard
)

link_directories( ${KOPETE_BINARY_DIR}/kopete/addaccountwizard )

########### next target ###############

set( kopeteidentity_SRCS
accountidentitydialog.cpp
identitydialog.cpp
identitystatuswidget.cpp
)

kde4_add_ui_files( kopeteidentity_SRCS
    accountidentitybase.ui
    identitygeneral.ui
    identitydetailed.ui
    identitystatusbase.ui
)

kde4_add_library( kopeteidentity SHARED ${kopeteidentity_SRCS} )
target_link_libraries( kopeteidentity kopeteaddaccountwizard kopete ${KDE4_KDEUI_LIBS} kopetestatusmenu )
set_target_properties( kopeteidentity PROPERTIES VERSION 1.0.0 SOVERSION 1 )
install(TARGETS kopeteidentity ${INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############

=== kopete/libkopete/avdevice/CMakeLists.txt ===

if (LIBV4L2_FOUND)
include_directories( 
${KOPETE_INCLUDES} 
${LIBV4L2_INCLUDE_DIR}
)
else (LIBV4L2_FOUND)
include_directories(
${KOPETE_INCLUDES}
)
endif (LIBV4L2_FOUND)

########### next target ###############

set(kopete_videodevice_LIB_SRCS 
   videodevice.cpp 
   videoinput.cpp 
   dummyvideodevice.cpp
   videodevicevector.cpp
   videodevicepool.cpp 
   videodevicemodelpool.cpp
   bayer.cpp
   sonix_compress.cpp )

kde4_add_library(kopete_videodevice SHARED ${kopete_videodevice_LIB_SRCS})

if (LIBV4L2_FOUND)
target_link_libraries(kopete_videodevice ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS} ${LIBV4L2_LIBRARY})
else (LIBV4L2_FOUND)
target_link_libraries(kopete_videodevice ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBS} ${KDE4_SOLID_LIBS})
endif (LIBV4L2_FOUND)

set_target_properties(kopete_videodevice PROPERTIES VERSION ${GENERIC_LIB_VERSION} SOVERSION ${GENERIC_LIB_SOVERSION} )
install(TARGETS kopete_videodevice ${INSTALL_TARGETS_DEFAULT_ARGS})


########### next target ###############


########### install files ###############

=== kopete/plugins/nowlistening/CMakeLists.txt ===

include_directories( ${KOPETE_INCLUDES} )
if(XMMS_FOUND)
  include_directories(${XMMS_INCLUDE_DIRS} )
  include_directories( ${GLIB2_INCLUDE_DIR} )
endif(XMMS_FOUND)

########### next target ###############

set(kopete_nowlistening_PART_SRCS 
   nowlisteningplugin.cpp 
   nlkscd.cpp 
   nlxmms.cpp 
   nowlisteningguiclient.cpp 
   nljuk.cpp 
   nlamarok.cpp 
   nlquodlibet.cpp
   nlkaffeine.cpp )

kde4_add_kcfg_files(kopete_nowlistening_PART_SRCS nowlisteningconfig.kcfgc )

kde4_add_plugin(kopete_nowlistening ${kopete_nowlistening_PART_SRCS})


target_link_libraries(kopete_nowlistening  ${KDE4_KIO_LIBS} kopete)

if(XMMS_FOUND)
   target_link_libraries( kopete_nowlistening ${XMMS_LDFLAGS} )
endif(XMMS_FOUND)

install(TARGETS kopete_nowlistening  DESTINATION ${PLUGIN_INSTALL_DIR})


########### next target ###############

set(kcm_kopete_nowlistening_PART_SRCS nowlisteningpreferences.cpp )

kde4_add_ui_files(kcm_kopete_nowlistening_PART_SRCS nowlisteningprefs.ui )

kde4_add_kcfg_files(kcm_kopete_nowlistening_PART_SRCS nowlisteningconfig.kcfgc )


kde4_add_plugin(kcm_kopete_nowlistening ${kcm_kopete_nowlistening_PART_SRCS})


target_link_libraries(kcm_kopete_nowlistening  ${KDE4_KUTILS_LIBS} ${KDE4_KDE3SUPPORT_LIBS})

install(TARGETS kcm_kopete_nowlistening  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES nowlisteningconfig.kcfg  DESTINATION ${KCFG_INSTALL_DIR})
install( FILES kopete_nowlistening.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES nowlisteningui.rc nowlisteningchatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete)
install( FILES kopete_nowlistening_config.desktop  DESTINATION ${SERVICES_INSTALL_DIR}/kconfiguredialog)

=== kopete/protocols/jabber/CMakeLists.txt ===
add_definitions(-DQT3_SUPPORT -DQT3_SUPPORT_WARNINGS -DIRIS_XMPP_JID_DEPRECATED)

add_subdirectory( icons ) 
add_subdirectory( libiris ) 

#FIXME:glib : necessary ?
include_directories( 
${KOPETE_INCLUDES} 
${CMAKE_CURRENT_SOURCE_DIR}/ui/
${CMAKE_CURRENT_SOURCE_DIR}/tasks/
${CMAKE_CURRENT_SOURCE_DIR}/libiris/include/
${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/
${CMAKE_CURRENT_SOURCE_DIR}/libiris/iris/xmpp/jingle
${QCA2_INCLUDE_DIR}
)

if(BUILD_GOOGLETALK)
  # We dont need other programs
  set ( BUILD_libjingle_natserver false )
  set ( BUILD_libjingle_nat_unittest false )
  set ( BUILD_libjingle_virtualsocket_unittest false )
  set ( BUILD_libjingle_relayserver false )
  set ( BUILD_libjingle_stunserver false )
  set ( BUILD_libjingle_stunserver_unittest false )
  set ( BUILD_libjingle_session_unittest false )
  set ( BUILD_libjingle_port_unittest false )
  set ( BUILD_libjingle_login false )

  # Enable pcp if filetransfer is supported by Kopete
  set ( BUILD_libjingle_pcp false )

  # Enabled voice call
  set ( BUILD_libjingle_call true )

  add_subdirectory(googletalk/libjingle)

  add_definitions(-DGOOGLETALK_SUPPORT)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/googletalk/)
endif(BUILD_GOOGLETALK)

IF(BUILD_JINGLE)
  add_definitions(-DJINGLE_SUPPORT)
  include_directories(${CMAKE_CURRENT_SOURCE_DIR}/jingle)
ENDIF(BUILD_JINGLE)

#link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libiris/ ${CMAKE_CURRENT_BINARY_DIR}/jingle/ )
link_directories( ${CMAKE_CURRENT_BINARY_DIR}/libiris/ )

########### next target ###############

set(kopete_jabber_ui_SRCS 
    ui/dlgxmppconsole.cpp
    ui/jabberaddcontactpage.cpp 
    ui/dlgjabbervcard.cpp 
    ui/dlgjabberservices.cpp 
    ui/dlgregister.cpp 
    ui/dlgsearch.cpp 
    ui/dlgahcommand.cpp 
    ui/dlgahclist.cpp 
    ui/jabbereditaccountwidget.cpp 
    ui/jabberregisteraccount.cpp 
    ui/jabberchooseserver.cpp 
    ui/dlgjabberchangepassword.cpp
    ui/dlgjabberchatroomslist.cpp
    ui/dlgjabberchatjoin.cpp 
    ui/privacylistblockedmodel.cpp
    ui/privacylistmodel.cpp
    ui/privacydlg.cpp
    ui/privacyruledlg.cpp
)

if(BUILD_GOOGLETALK)
   set(kopete_jabber_ui_SRCS
      ${kopete_jabber_ui_SRCS}
      googletalk/googletalkcalldialog.cpp
   )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)	
  set(kopete_jabber_ui_SRCS
      ${kopete_jabber_ui_SRCS}
      jingle/jinglecontentdialog.cpp
      jingle/jinglecallsgui.cpp
  )
endif(BUILD_JINGLE)

set(kopete_jabber_ui_files
#   ${kopete_jabber_ui_SRCS}
   ui/dlgxmppconsole.ui
   ui/dlgjabberregisteraccount.ui 
   ui/dlgjabberchooseserver.ui 
   ui/dlgvcard.ui 
   ui/dlgservices.ui 
   ui/dlgaddcontact.ui 
   ui/dlgsearch.ui 
   ui/dlgchangepassword.ui 
   ui/dlgjabbereditaccountwidget.ui
   ui/dlgchatjoin.ui 
   ui/dlgchatroomslist.ui 
   ui/privacyrule.ui
   ui/privacy.ui
)

if(BUILD_GOOGLETALK)
   set(kopete_jabber_ui_files
      ${kopete_jabber_ui_files}
      googletalk/googletalkcalldialog.ui
   )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)
  set(kopete_jabber_ui_files
      ${kopete_jabber_ui_files}
      jingle/jinglecontentdialog.ui
      jingle/jinglecallsgui.ui
  )
endif(BUILD_JINGLE)

kde4_add_ui_files(kopete_jabber_ui_SRCS ${kopete_jabber_ui_files})

set(kopete_jabber_PART_SRCS 
   tasks/jt_getlastactivity.cpp
   tasks/jt_privatestorage.cpp
   tasks/jt_ahcommand.cpp
   tasks/jt_xsearch.cpp
   tasks/jt_xregister.cpp
   tasks/jt_pubsub.cpp
   tasks/mood.cpp
   tasks/privacylistitem.cpp
   tasks/privacylist.cpp
   tasks/privacymanager.cpp
   ${kopete_jabber_ui_SRCS} 
   jabberprotocol.cpp 
   jabberaccount.cpp 
   jabberresource.cpp 
   jabberresourcepool.cpp 
   jabberbasecontact.cpp 
   jabbercontact.cpp 
   jabbergroupcontact.cpp 
   jabbergroupmembercontact.cpp 
   jabbercontactpool.cpp 
   jabberformtranslator.cpp 
   jabberxdatawidget.cpp 
   jabberformlineedit.cpp 
   jabberchatsession.cpp 
   jabbergroupchatmanager.cpp 
   jabberfiletransfer.cpp 
   jabbercapabilitiesmanager.cpp 
   jabbertransport.cpp 
   jabberbookmarks.cpp 
   jabberclient.cpp 
)

if(BUILD_GOOGLETALK)
  set(kopete_jabber_PART_SRCS
      ${kopete_jabber_PART_SRCS}
      googletalk/googletalk.cpp
  )
endif(BUILD_GOOGLETALK)

if(BUILD_JINGLE)	
  set(kopete_jabber_PART_SRCS
      ${kopete_jabber_PART_SRCS}
      jingle/jinglecallsmanager.cpp
      jingle/jabberjinglesession.cpp
      jingle/jabberjinglecontent.cpp
      jingle/jinglertpsession.cpp
      jingle/mediamanager.cpp
      jingle/mediasession.cpp
      jingle/alsaio.cpp
      jingle/speexio.cpp
      jingle/abstractio.cpp
  )
endif(BUILD_JINGLE)

kde4_add_plugin(kopete_jabber ${kopete_jabber_PART_SRCS})


if(BUILD_JINGLE)	
  target_link_libraries(kopete_jabber ${KDE4_KDE3SUPPORT_LIBS} ${QCA2_LIBRARIES}
	  ${KDE4_SOLID_LIBS} kopete iris_kopete ortp asound speex)
else(BUILD_JINGLE)
  target_link_libraries(kopete_jabber ${KDE4_KDE3SUPPORT_LIBS} ${QCA2_LIBRARIES}
	  ${KDE4_SOLID_LIBS} kopete iris_kopete)
endif(BUILD_JINGLE)

install(TARGETS kopete_jabber  DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install( FILES kopete_jabber.desktop xmpp.protocol DESTINATION ${SERVICES_INSTALL_DIR})
install( FILES jabberchatui.rc  DESTINATION ${DATA_INSTALL_DIR}/kopete_jabber)

=== kopete/protocols/wlm/CMakeLists.txt ===
project(wlm)

ADD_SUBDIRECTORY(icons)

set(kopete_wlm_include_DIRS
    ${KOPETE_INCLUDES}
    ${CMAKE_CURRENT_SOURCE_DIR}/ui
    ${LIBMSN_INCLUDE_DIR}
)

set(kopete_wlm_ui_SRCS
   ui/wlmaddcontactpage.cpp
   ui/wlmeditaccountwidget.cpp
)

kde4_add_ui_files(kopete_wlm_ui_SRCS
    ui/wlmaddui.ui
    ui/wlminfo.ui 
    ui/wlmaccountpreferences.ui
    ui/wlmchatsessioninkpopup.ui
)

set(kopete_wlm_PART_SRCS
   ${kopete_wlm_ui_SRCS}
   wlmprotocol.cpp
   wlmcontact.cpp
   wlmaccount.cpp
   wlmlibmsn.cpp
   wlmsocket.cpp
   wlmserver.cpp
   wlmchatmanager.cpp
   wlmchatsession.cpp
   wlmchatsessioninkarea.cpp
   wlmchatsessioninkaction.cpp
   wlmtransfermanager.cpp
)

kde4_add_plugin(kopete_wlm ${kopete_wlm_PART_SRCS})

set(kopete_wlm_link_LIBS
    ${KDE4_KDEUI_LIBS} 
    ${KDE4_KUTILS_LIBS}
    ${KDE4_KIO_LIBRARY} 
    ${KDE4_KMIME_LIBS}
    ${QT_QTXML_LIBRARY} 
    ${QT_QTNETWORK_LIBRARY} 
    kopete 
    ${LIBMSN_LIBRARIES}
)

if(MEDIASTREAMER_FOUND AND LIBORTP_FOUND)
    set(kopete_wlm_link_LIBS ${kopete_wlm_link_LIBS} ${MEDIASTREAMER_LIBRARIES} ${LIBORTP_LIBRARY})
    set(kopete_wlm_include_DIRS ${kopete_wlm_include_DIRS} ${MEDIASTREAMER_INCLUDE_DIR})
    add_definitions(-DHAVE_MEDIASTREAMER)
endif(MEDIASTREAMER_FOUND AND LIBORTP_FOUND)

if(HAVE_GIFLIB)
    set(kopete_wlm_link_LIBS ${kopete_wlm_link_LIBS} ${GIF_LIBRARIES})
    set(kopete_wlm_include_DIRS ${kopete_wlm_include_DIRS} ${GIF_INCLUDE_DIR})
    add_definitions(-DHAVE_GIFLIB)
endif(HAVE_GIFLIB)

include_directories(${kopete_wlm_include_DIRS})
target_link_libraries(kopete_wlm ${kopete_wlm_link_LIBS})

install(TARGETS kopete_wlm  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES  kopete_wlm.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  wlmchatui.rc DESTINATION ${DATA_INSTALL_DIR}/kopete_wlm)

=== kopete/protocols/jabber/googletalk/libjingle/talk/p2p/base/CMakeLists.txt ===

########### next target ###############

if ( BUILD_libjingle_relayserver )

SET(relayserver_SRCS
   relayserver.cc
   relayserver_main.cc
)

add_executable(relayserver ${relayserver_SRCS})

set_target_properties(relayserver PROPERTIES OUTPUT_NAME googletalk-relayserver)

target_link_libraries(relayserver cricketp2pbase cricketbase pthread)

endif ( BUILD_libjingle_relayserver )


########### next target ###############

if ( BUILD_libjingle_stunserver )

SET(stunserver_SRCS
   stunserver.cc
   stunserver_main.cc
)

add_executable(stunserver ${stunserver_SRCS})

set_target_properties(stunserver PROPERTIES OUTPUT_NAME googletalk-stunserver)

target_link_libraries(stunserver cricketp2pbase cricketbase pthread)

endif ( BUILD_libjingle_stunserver )


########### next target ###############

if ( BUILD_libjingle_stunserver_unittest )

SET(stunserver_unittest_SRCS
   stunserver_unittest.cc
   stunserver.cc
)

add_executable(stunserver_unittest ${stunserver_unittest_SRCS})

target_link_libraries(stunserver_unittest cricketp2pbase cricketbase pthread crickettest)

endif ( BUILD_libjingle_stunserver_unittest )


########### next target ###############

if ( BUILD_libjingle_session_unittest )

SET(session_unittest_SRCS
   session_unittest.cc
   stunserver.cc
   relayserver.cc
)

add_executable(session_unittest ${session_unittest_SRCS})

target_link_libraries(session_unittest cricketp2pbase cricketbase pthread crickettest cricketxmllite cricketxmpp ${EXPAT_LIBS})

endif ( BUILD_libjingle_session_unittest )


########### next target ###############

if ( BUILD_libjingle_port_unittest )

SET(port_unittest_SRCS
   port_unittest.cc
   stunserver.cc
   relayserver.cc
)

add_executable(port_unittest ${port_unittest_SRCS})

target_link_libraries(port_unittest cricketp2pbase cricketbase pthread crickettest)

endif ( BUILD_libjingle_port_unittest )


########### next target ###############

if ( BUILD_libjingle_cricketp2pbase )

SET(cricketp2pbase_STAT_SRCS
   stun.cc
   port.cc
   udpport.cc
   tcpport.cc
   stunport.cc
   relayport.cc
   stunrequest.cc
   sessionmanager.cc
   session.cc
   transport.cc
   transportchannel.cc
   transportchannelproxy.cc
   p2ptransport.cc
   p2ptransportchannel.cc
   rawtransport.cc
   rawtransportchannel.cc
   constants.cc
   pseudotcp.cc
)

add_library(cricketp2pbase STATIC ${cricketp2pbase_STAT_SRCS})

endif ( BUILD_libjingle_cricketp2pbase )


########### install files ###############

if ( BUILD_libjingle_relayserver )
install(TARGETS relayserver DESTINATION bin)
endif ( BUILD_libjingle_relayserver )

if ( BUILD_libjingle_stunserver )
install(TARGETS stunserver DESTINATION bin)
endif ( BUILD_libjingle_stunserver )

=== kopete/protocols/jabber/googletalk/libjingle/talk/session/fileshare/CMakeLists.txt ===

########### next target ###############

if ( BUILD_libjingle_cricketsessionfileshare )

SET(cricketsessionfileshare_STAT_SRCS
   fileshare.cc
)

add_library(cricketsessionfileshare STATIC ${cricketsessionfileshare_STAT_SRCS})

endif ( BUILD_libjingle_cricketsessionfileshare )


########### install files ###############

=== kopete/protocols/jabber/googletalk/libjingle/talk/session/phone/CMakeLists.txt ===

if ( BUILD_libjingle_cricketsessionphone )

include_directories(
   ${MEDIASTREAMER_INCLUDE_DIR}
   ${LIBORTP_INCLUDE_DIR}
)

# if ( ILBC_FOUND )
#	include_directories ( ${ILBC_INCLUDE_DIR} )
# endif ( ILBC_FOUND )

# if ( SPEEX_FOUND )
#	include_directories ( ${SPEEX_INCLUDE_DIR} ${SPEEX_INCLUDE_DIR}/speex )
# endif ( SPEEX_FOUND )

add_definitions(-D_REENTRANT -DORTP_INET6)

endif ( BUILD_libjingle_cricketsessionphone )

########### next target ###############

if ( BUILD_libjingle_cricketsessionphone )

SET(cricketsessionphone_STAT_SRCS
   linphonemediaengine.cc
   audiomonitor.cc
   channelmanager.cc
   voicechannel.cc
   call.cc
   phonesessionclient.cc
)

add_library(cricketsessionphone STATIC ${cricketsessionphone_STAT_SRCS})

endif ( BUILD_libjingle_cricketsessionphone )


########### install files ###############

## kdenetwork 4.4.5

=== debian/changelog ===
kdenetwork (4:4.4.5-2+squeeze1) stable; urgency=low

  [ José Manuel Santamaría Lema ]
  * Add cve_2010_1000_directory_traversal.diff, note that CVE-2010-1000 was
    already fixed, but this patch performs a better protection against that
    vulnerability.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 17 May 2011 00:33:31 +0300

kdenetwork (4:4.4.5-2) unstable; urgency=low

  * Point debian/control Vcs fields to the new Git repository.
  * Add patch 03_kopete_icq_login_fix.diff to change ICQ login server address.
    (Closes: #603661)
  * Solve circular dependencies by downgrading kopete Depends to Recommends
    for libkopete4. (Closes: #580044)

 -- Modestas Vainius <modax@debian.org>  Sun, 28 Nov 2010 17:25:54 +0200

kdenetwork (4:4.4.5-1) unstable; urgency=low

  [ Modestas Vainius ]
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.5.

  [ Sune Vuorela ]
  * Update email address
  * Update descriptions

 -- Sune Vuorela <sune@debian.org>  Sun, 18 Jul 2010 12:53:35 +0200

kdenetwork (4:4.4.4-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Readd libtelepathy-qt4-dev to Build-Depends, update krdc.install
    appropriately.
  * Bump pkg-kde-tools build dependency to (>= 0.9) for HTML_INSTALL_DIR
    switch and 3.0 (quilt) source format support.
  * Switch to 3.0 (quilt) source package format and original tar.bz2
    tarballs.
  * Replace usr/share/doc/kde4 references with usr/share/doc/kde.
  * Drop quilt from Build-Depends, no longer needed for 3.0 (quilt).
  * Remove debian/README.source. Patch support is part of source format
    now.
  * Move debian/source.lintian-overrides to debian/source/lintian-overrides.
  * Bump kde-sc-dev-latest build dependency to 4:4.4.4.
  * Drop 01_kget_CVE-2010-1000.diff patch, merged upstream.
  * Build kget against system libktorrent:
    - add 01_backport_use_system_libktorrent.diff patch (backport);
    - add 02_debian_libktorrent_porting.diff with custom porting changes for
      libktorrent;
    - add libktorrent-dev to Build-Depends.
  * Build conflict with libmediastreamer-dev (= 3.3.0-1) on amd64. It (or
    rather closely related libortp-dev) is broken. See #583008.
  * Drop perl-suid from kdenetwork-filesharing Depends (Closes: #581947). It's
    a left over.

  [ Pino Toscano ]
  * Since kppp looks to be Linux-only at the moment, restrict it to just Linux
    architectures, and demote to recommend its dependency in the kdenetwork
    metapackage.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 01 Jun 2010 01:15:16 +0300

kdenetwork (4:4.4.3-2) unstable; urgency=medium

  [ Modestas Vainius ]
  * Add 01_kget_CVE-2010-1000.diff patch that fixes CVE-2010-1000.diff
    security vulnerability in KGet.
  * Build depend on KWebKit Part (libkwebkit-dev), update kget.install.
  * Damage control: temporarily drop libtelepathy-qt4-dev from
    Build-Depends in order to allow the package to build on arches where
    libnice FTFBSes at the moment (mipsel sparc). This disables
    krdc_rfb_approver support.
  * Urgency=medium due to security fix.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sun, 16 May 2010 23:59:49 +0300

kdenetwork (4:4.4.3-1) unstable; urgency=low

  * New upstream release.

  [ Modestas Vainius ]
  * Change kopete section to net.
  * Bump kde-sc-dev-latest build dependency to 4.4.3.
  * Confirm symbol files for 4.4.2 on i386 ia64 s390.
  * Tighten libmsn-dev build dependency to 4.1.
  * Release KDE SC 4.4.3 to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Sat, 01 May 2010 23:37:54 +0300

kdenetwork (4:4.4.2-1) experimental; urgency=low

  * New upstream release:
    - krfb does not ask anymore to accept a connection when not configured to
      ask. (Closes: #522937)
    - Kopete auto-reconnects to Jabber accounts. (Closes: #535338)

  [ Modestas Vainius ]
  * Add cmake to Build-Depends.
  * Add kde-sc-dev-latest (>= 4:4.4.2) to Build-Depends.
  * Bump Standards-Version to 3.8.4: no changes needed.
  * Bump KDE build dependencies to 4:4.4.
  * Bump pkg-kde-tools build dependency to 0.6.4.
  * Add a symbol file for libkopete4: based on 4.3.4, updated for 4.4.1 on
    amd64/i386.

  [ George Kiagiadakis ]
  * Drop build dependency on libknotificationitem1-dev. Not needed anymore.
  * Add build dependencies on:
    - libmediastreamer-dev
    - libtelepathy-qt4-dev
    - shared-desktop-ontologies
    - kdepimlibs5-dev
    - libgpgme11-dev
    - libexpat-dev
    - libgif-dev
  * Drop patch 01_kopete_new_libmsn.diff.
  * Update installed files.

  [ Pino Toscano ]
  * Add dependency on ${misc:Depends} in all the packages.
  * Change the khelpcenter suggest to khelpcenter4.
  * Suggest texlive-latex-base in kopete, as it contains `latex' (and installs
   `dvips' as dependency), used by the "kopetex" plugin. Add a note in
    kopete's README.Debian about these dependencies.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 09 Apr 2010 18:39:56 +0300

kdenetwork (4:4.3.4-2) unstable; urgency=low

  [ Modestas Vainius ]
  * Change my email address to modax@debian.org in Uploaders field.
  * Fix Vcs-Browser URL.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Take out IRC from Kopete's description. (Closes: #540634)

  [ Pino Toscano ]
  * Make kopete recommend libqt4-sql-sqlite, as it is used by the statistics
    plugin. (Closes: #534119)
  * Add a README.Debian documenting the above Kopete change.
  * Add patch 01_kopete_new_libmsn.diff to make kopete compile with more
    recent versions of libmsn.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 18 Jan 2010 14:55:47 +0100

kdenetwork (4:4.3.4-1) unstable; urgency=low

  * New upstream release.

  +++ Changes by Ana Beatriz Guerrero Lopez:

  * Remove myself from Uploaders.

  +++ Changes by Modestas Vainius:

  * Bump KDE build dependencies to current version.



=== debian/control ===
Source: kdenetwork
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sune Vuorela <sune@debian.org>, Fathi Boudra <fabo@debian.org>, Armin Berres <armin+debian@space-based.de>, Modestas Vainius <modax@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.4.5),
 cdbs (>= 0.4.51), cmake, debhelper (>= 7), pkg-kde-tools (>= 0.9),
 kdelibs5-dev (>= 4:4.4), kdepimlibs5-dev (>= 4:4.4),
 zlib1g-dev, libjpeg62-dev, libxml2-dev, libxslt1-dev, libssl-dev,
 libxdamage-dev, libxss-dev, libslp-dev, libidn11-dev, libxtst-dev,
 libvncserver-dev (>= 0.9.3), libqca2-dev (>= 2.0.0),
 libsqlite3-dev, libqimageblitz-dev (>= 1:0.0.4),
 libgmp3-dev, libotr2-dev, libboost-dev,
 libavahi-compat-libdnssd-dev, libmeanwhile-dev, libmsn-dev (>= 4.1), libkwebkit-dev,
 libortp-dev, libspeex-dev, libasound2-dev (>= 1.0.14a) [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 libstreamanalyzer-dev, libgadu-dev, libmediastreamer-dev, libtelepathy-qt4-dev,
 libv4l-dev [!kfreebsd-i386 !kfreebsd-amd64 !hurd-i386],
 shared-desktop-ontologies, kdepimlibs5-dev, libgpgme11-dev, libexpat-dev, libgif-dev,
 libktorrent-dev
Build-Conflicts: libmediastreamer-dev (= 3.3.0-1) [amd64]
Standards-Version: 3.8.4
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/kdenetwork.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/kdenetwork.git

Package: kdenetwork
Architecture: all
Depends: ${misc:Depends}, kget (>= ${source:Version}),
 kopete (>= ${source:Version}),
 krdc (>= ${source:Version}), krfb (>= ${source:Version})
Recommends: kdenetwork-filesharing (>= ${source:Version}), kppp (>= ${source:Version})
Description: networking applications from the official KDE 4 release
 KDE is produced by an international technology team that creates free and open
 source software for desktop and portable computing. Among KDE's products are a
 modern desktop system for Linux and UNIX platforms, comprehensive office
 productivity and groupware suites and hundreds of software titles in many
 categories including Internet and web applications, multimedia, entertainment,
 educational, graphics and software development.
 .
 This metapackage includes networking applications provided with the official
 release of KDE.

Package: kdenetwork-filesharing
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network filesharing configuration module
 This package provides a System Settings panel to configure network
 file-sharing using NFS and Samba.
 .
 This package is part of the KDE networking module.

Package: kget
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4
Description: download manager
 KGet is an advanced download manager with support for Metalink and Bittorrent.
 Downloads are added to the list, where they can be paused, queued, or
 scheduled for later.
 .
 This package is part of the KDE networking module.

Package: libkopete4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libjasper-runtime, kopete (= ${binary:Version})
Replaces: kopete (<< 4:4.1.86)
Description: main Kopete library
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package contains main Kopete library which is used by Kopete and its
 plugins.
 .
 This package is part of the KDE networking module.

Package: kopete
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libqca2-plugin-ossl, libqt4-sql-sqlite
Suggests: kdeartwork-emoticons, khelpcenter4, texlive-latex-base
Description: instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber.  Advanced
 features and additional protocols are available as plugins.
 .
 This package is part of the KDE networking module.

Package: libkopete-dev
Section: libdevel
Architecture: any
Depends: libkopete4 (= ${binary:Version}), ${sameVersionDep:kdelibs5-dev:libkopete4},
 ${misc:Depends}
Replaces: kdenetwork-dev (<< 4:4.1.86)
Conflicts: kdenetwork-dev (<< 4:4.1.86)
Description: development files for the Kopete instant messaging and chat application
 Kopete is an instant messaging and chat application with support for a wide
 variety of services, such as AIM, Yahoo, ICQ, MSN, and Jabber. Advanced
 features and additional protocols are available as plugins.
 .
 This package contains development files needed for building Kopete plugins.
 .
 This package is part of the KDE networking module.

Package: kppp
Section: net
Architecture: armel powerpcspe lpia i386 ia64 alpha amd64 armeb arm avr32 hppa m32r m68k mips mipsel powerpc ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64
Depends: ${shlibs:Depends}, ${misc:Depends}, ppp
Suggests: khelpcenter4
Description: modem dialer for KDE
 KPPP is a modem dialer for connecting to a dial-up Internet Service Provider.
 It displays statistics and accounting information to help users keep track of
 connection costs.
 .
 This package is part of the KDE 4 networking module.

Package: krdc
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: kopete (<< 4:4.1.86)
Recommends: rdesktop
Suggests: khelpcenter4, krfb
Description: Remote Desktop Connection client
 The KDE Remote Desktop Connection client can view and control a desktop
 session running on another system.  It can connect to Windows Terminal Servers
 using RDP and many other platforms using VNC/RFB.
 .
 This package is part of the KDE networking module.

Package: krfb
Section: net
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: khelpcenter4, krdc
Description: Desktop Sharing utility
 KDE Desktop Sharing is a manager for easily sharing a desktop session with
 another system.  The desktop session can be viewed or controlled remotely by
 any VNC or RFB client, such as the KDE Remote Desktop Connection client.
 .
 KDE Desktop Sharing can restrict access to only users who are explicitly
 invited, and will ask for confirmation when a user attempts to connect.
 .
 This package is part of the KDE networking module.

Package: kdenetwork-dbg
Section: debug
Architecture: any
Priority: extra
Depends: ${misc:Depends}, kdebase-runtime-dbg
Recommends: kdebase-workspace-dbg
Suggests: kdenetwork (= ${source:Version})
Description: debugging symbols for the KDE networking module
 This package contains debugging files used to investigate problems with
 binaries included in the KDE networking module.

Package: kde-zeroconf
Section: kde
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: zeroconf plugins and kio slaves for KDE
 Zeroconf is an implementation of IPv4 link-local addresses (RFC3927)
 which can be used for ad-hoc networks.  Addresses are allocated from
 the 169.254.0.0/16 range semi-randomly.
 .
 Keywords: avahi, dnssd.
 .
 This package is part of the KDE networking module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/1/debian-qt-kde.mk

DEB_FIXPERMS_EXCLUDE := usr/bin/kppp

#DEB_DH_MAKESHLIBS_ARGS_libkopete4 := -V'libkopete4 (>= 4:4.1.86)'
DEB_DH_MAKESHLIBS_ARGS_libkopete4 := -V

DEB_DH_SHLIBDEPS_ARGS_libkopete4 := -- -xkopete

binary-install/kppp::
	chown root:dip debian/kppp/usr/bin/kppp
	chmod 4754 debian/kppp/usr/bin/kppp
